"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const af_react_renderer_1 = require("@aemforms/af-react-renderer");
const ResponsiveGrid = (props) => {
    //   @ts-ignore
    const context = (0, react_1.useContext)(af_react_renderer_1.FormContext);
    const getItemClassNames = (defaultClass, index) => {
        let className = `${defaultClass || ''}`;
        if (props[':itemsOrder'] && props.columnClassNames) {
            className += ` ${props.columnClassNames[props[':itemsOrder'][index]]}`;
        }
        return className;
    };
    const getChild = (0, react_1.useCallback)((child, index) => {
        const Comp = (0, af_react_renderer_1.getRenderer)(child, context.mappings);
        return Comp ? react_1.default.createElement(Comp, { key: `${child.id}_${index}`, ...child }) : null;
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null, props?.items.map((item, index) => (react_1.default.createElement("div", { className: getItemClassNames(item.appliedCssClassNames, index), key: item.id }, getChild(item, index))))));
};
exports.default = ResponsiveGrid;
